## gost-crypto 0.3.5

=== Makefile ===
KSRC ?= /lib/modules/$(shell uname -r)/build
#KSRC = $(HOME)/linux/

CONFIG_CRYPTO_STREEBOG ?= m

obj-m :=
obj-m += gost28147_generic.o
obj-m += gosthash94_generic.o
obj-m += kuznyechik_generic.o
obj-m += magma_generic.o
obj-$(CONFIG_CRYPTO_STREEBOG) += streebog_generic.o
obj-m += gost-test.o

gost28147_generic-y := gost28147_basic.o gost28147_modes.o
gost-test-y:= testmgr.o gost-test-main.o

ccflags-y := -I $(PWD)

# Make IS_ENABLED(CONFIG_CRYPTO_STREEBOG) work
ifneq ($(CONFIG_CRYPTO_STREEBOG),n)
ccflags-y += -DCONFIG_CRYPTO_STREEBOG_MODULE=1
endif

all: modules

modules modules_install clean:
	$(MAKE) -C $(KSRC) M=$(PWD) $@

## gost-crypto 0.3

=== debian/changelog ===
gost-crypto (0.3-1) unstable; urgency=medium

  * New upstream release
  * Override dh_auto_clean target (Closes: #914362)

 -- Dmitry Eremin-Solenikov <dbaryshkov@gmail.com>  Thu, 22 Nov 2018 23:45:23 +0300

gost-crypto (0.2+streebog-1) unstable; urgency=medium

  * New upstream release

 -- Dmitry Eremin-Solenikov <dbaryshkov@gmail.com>  Tue, 23 Oct 2018 16:39:12 +0300

gost-crypto (0.1+streebog-1) unstable; urgency=medium

  * Initial release (Closes: #910662)

 -- Dmitry Eremin-Solenikov <dbaryshkov@gmail.com>  Tue, 09 Oct 2018 14:25:01 +0300

=== debian/control ===
Source: gost-crypto
Section: kernel
Priority: optional
Maintainer: Dmitry Eremin-Solenikov <dbaryshkov@gmail.com>
Build-Depends: debhelper (>= 11), dkms (>= 2.1.0.0)
Standards-Version: 4.2.1
Homepage: https://github.com/GostCrypt/linux-crypto
#Vcs-Browser: https://salsa.debian.org/debian/gost-crypto
#Vcs-Git: https://salsa.debian.org/debian/gost-crypto.git

Package: gost-crypto-dkms
Architecture: all
Depends: ${misc:Depends}
Description: Linux kernel modules implementing GOST cryptography
 This is a set of Linux kernel modules implementing Russian cryptographic
 algorithms:
 .
  - GOST 28147 cipher (RFC 5830)
  - GOST 28147 "Imitovstavka" (MAC mode) (RFC 5830)
  - GOST R 34.11-94 digest (RFC 5831)
   - HMAC using GOST R 34.11-94 (RFC 4357)
  - GOST R 34.12-2015 ciphers (Magma and Kuznyechik) (RFC 7801)
   - CMAC using GOST R 34.12-2015 (as required by GOST R 34.13-2015)
  - GOST R 34.11-2012 digest (RFC 6986)

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

include /usr/share/dpkg/default.mk

SRCDIR = debian/tmp/usr/src/$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)

%:
	dh $@

override_dh_auto_configure:

override_dh_auto_build:

override_dh_auto_clean:

override_dh_auto_install:
	install -d $(SRCDIR)
	install -m 0644 *.[ch] Makefile $(SRCDIR)
	install -d $(SRCDIR)/crypto
	install -m 0644 crypto/*.[ch] $(SRCDIR)/crypto
	dh_dkms -V

## gost-crypto 0.3.2

=== debian/changelog ===
gost-crypto (0.3.2-2ubuntu0.2) focal; urgency=medium

  * No change rebuild in security pocket. LP: #1914279.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 29 Apr 2021 16:07:41 +0100

gost-crypto (0.3.2-2ubuntu0.1) focal; urgency=medium

  * Linux 5.8 compatibility (LP: #1899735)
    - debian/patches/0001-fix-compatibility-with-linux-5.8.patch

 -- Andrea Righi <andrea.righi@canonical.com>  Wed, 14 Oct 2020 06:40:45 +0000

gost-crypto (0.3.2-2) unstable; urgency=medium

  * d/control: bump Standards-Version to 4.4.0 (no changes needed)

 -- Dmitry Eremin-Solenikov <dbaryshkov@gmail.com>  Mon, 05 Aug 2019 04:15:18 +0300

gost-crypto (0.3.2-1) unstable; urgency=medium

  * New upstream version 0.3.2
  * d/control: Add VCS-* fields pointing to Salsa.
  * d/gitlab-ci.yml: add Salsa CI configuration
  * d/gbp.conf: import GBP configuration
  * d/control: bump Standards-Version to 4.3.0 (no changes needed)
  * d/copyright: drop internal.h file

 -- Dmitry Eremin-Solenikov <dbaryshkov@gmail.com>  Thu, 27 Jun 2019 01:06:58 +0300

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: gost-crypto
 Section: kernel
 Priority: optional
-Maintainer: Dmitry Eremin-Solenikov <dbaryshkov@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dmitry Eremin-Solenikov <dbaryshkov@gmail.com>
 Build-Depends: debhelper (>= 11), dkms (>= 2.1.0.0)
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://github.com/GostCrypt/linux-crypto
-#Vcs-Browser: https://salsa.debian.org/debian/gost-crypto
-#Vcs-Git: https://salsa.debian.org/debian/gost-crypto.git
+Vcs-Browser: https://salsa.debian.org/lumag-guest/gost-crypto
+Vcs-Git: https://salsa.debian.org/lumag-guest/gost-crypto.git
 
 Package: gost-crypto-dkms
 Architecture: all

## gost-crypto 0.3.3

=== debian/changelog ===
gost-crypto (0.3.3-1ubuntu2) jammy; urgency=medium

  * Support Linux 6.2 (LP: #2023639):
    - debian/patches/0001-crypto-add-crypto-algapi.h-include-when-Linux-6.1.patch

 -- Andrea Righi <andrea.righi@canonical.com>  Tue, 13 Jun 2023 09:19:12 +0000

gost-crypto (0.3.3-1ubuntu1) impish; urgency=medium

  * Fix Linux 5.12 build

 -- Paolo Pisati <paolo.pisati@canonical.com>  Thu, 01 Apr 2021 11:27:08 +0000

gost-crypto (0.3.3-1) unstable; urgency=medium

  * New upstream version 0.3.3 (Closes: #960588)
  * d/control: update my surname

 -- Dmitry Baryshkov <dbaryshkov@gmail.com>  Fri, 15 May 2020 01:57:02 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: kernel
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dmitry Eremin-Solenikov <dbaryshkov@gmail.com>
+XSBC-Original-Maintainer: Dmitry Baryshkov <dbaryshkov@gmail.com>
 Build-Depends: debhelper (>= 11), dkms (>= 2.1.0.0)
 Standards-Version: 4.4.0
 Homepage: https://github.com/GostCrypt/linux-crypto

## gost-crypto 0.3.4

=== debian/changelog ===
gost-crypto (0.3.4-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

  [ Dmitry Baryshkov ]
  * d/control: remove -guest from Salsa URLs

 -- Dmitry Baryshkov <dbaryshkov@gmail.com>  Wed, 01 Mar 2023 03:36:48 +0200

gost-crypto (0.3.4-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Dmitry Baryshkov <dbaryshkov@gmail.com>  Sun, 05 Feb 2023 02:58:03 +0200

gost-crypto (0.3.4-2) unstable; urgency=medium

  * d/control: switch to dh-sequence-dkms (Closes: #1027873)
  * d/control: enable dkms autotests
  * d/control: bump Standards-Version to 4.6.2 (no changes needed)

 -- Dmitry Baryshkov <dbaryshkov@gmail.com>  Sun, 05 Feb 2023 00:19:07 +0200

gost-crypto (0.3.4-1) unstable; urgency=medium

  * New upstream version 0.3.4 (Closes: #1005399)

 -- Dmitry Baryshkov <dbaryshkov@gmail.com>  Sun, 13 Feb 2022 01:18:08 +0300

=== debian/rules ===
--- 
+++ 
@@ -21,4 +21,6 @@
 	install -m 0644 *.[ch] Makefile $(SRCDIR)
 	install -d $(SRCDIR)/crypto
 	install -m 0644 crypto/*.[ch] $(SRCDIR)/crypto
+
+override_dh_dkms:
 	dh_dkms -V

## gost-crypto 0.3.5

=== debian/changelog ===
gost-crypto (0.3.5-1.1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Non-maintainer upload.
  * dkms.conf: Declare BUILD_EXCLUSIVE_KERNEL_MIN="4.3".
  * d/control: Declare Rules-Requires-Root: no.
  * d/rules: Simplify.

  [ Francesco C ]
  * Fix module build for Linux 6.12.  (Closes: #1089497)

  [ Massimiliano Pellizzer ]
  * Fix module build for Linux 6.13.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 04 Mar 2025 22:17:48 +0100

gost-crypto (0.3.5-1) unstable; urgency=medium

  * New upstream version 0.3.5 (Closes: #1037998)

 -- Dmitry Baryshkov <dbaryshkov@gmail.com>  Sat, 24 Jun 2023 01:36:19 +0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: gost-crypto
 Section: kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dmitry Baryshkov <dbaryshkov@gmail.com>
-Build-Depends: debhelper (>= 11), dkms (>= 2.1.0.0)
-Standards-Version: 4.4.0
+Maintainer: Dmitry Baryshkov <dbaryshkov@gmail.com>
+Build-Depends: debhelper-compat (= 13), dh-sequence-dkms
+Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-dkms
+Standards-Version: 4.6.2
 Homepage: https://github.com/GostCrypt/linux-crypto
-Vcs-Browser: https://salsa.debian.org/lumag-guest/gost-crypto
-Vcs-Git: https://salsa.debian.org/lumag-guest/gost-crypto.git
+Vcs-Browser: https://salsa.debian.org/lumag/gost-crypto
+Vcs-Git: https://salsa.debian.org/lumag/gost-crypto.git
 
 Package: gost-crypto-dkms
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

SRCDIR = debian/tmp/usr/src/$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)

%:
	dh $@ --buildsystem=none

override_dh_auto_install:
	install -d $(SRCDIR)/crypto
	install -m 0644 *.[ch] Makefile $(SRCDIR)
	install -m 0644 crypto/*.[ch] $(SRCDIR)/crypto

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%gost-crypto-$1.tar.gz%" \
      https://github.com/GostCrypt/linux-crypto/tags \
      (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian
